Record a manually-submitted template's approval state
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/{id}/mark \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}/mark', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}/mark"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Templates
Record a manually-submitted template's approval state
POST
/
whatsapp
/
templates
/
{id}
/
mark
Record a manually-submitted template's approval state
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/{id}/mark \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}/mark', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}/mark"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Required scope:
whatsapp.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Available options:
DRAFT, PENDING, APPROVED, REJECTED, DISABLED Response
OK
Available options:
MARKETING, UTILITY, AUTHENTICATION Available options:
NONE, TEXT, IMAGE, DOCUMENT, VIDEO Show child attributes
Show child attributes
Available options:
DRAFT, PENDING, APPROVED, REJECTED, DISABLED Show child attributes
Show child attributes
Available options:
MARKETING, UTILITY, AUTHENTICATION 
